/**************************************************
 * dom-drag.js
 * 09.25.2001
 * www.youngpup.net
 **************************************************
 * 10.28.2001 - fixed minor bug where events
 * sometimes fired off the handle, not the root.
 **************************************************/

/* Hacked by Eug for the Inline Definitions extension
 - use addEventListener() 
 - use .ownerDocument so can work from chrome
 - make handle be of certain class (inlinedefinitions_draggable)
 - removed unnecessary features that were causing problems
 */
var InlineDefinitionsDrag = {

	obj : null,
	lastMouseX : null,
	lastMouseY : null,

	init : function(o, oDoc, oRoot)
	{ 
		o.addEventListener('mousedown', InlineDefinitionsDrag.start, true);
 	},
 
 	start : function(e)
 	{
 		var o = InlineDefinitionsDrag.obj = this;
 		var r = o; //.parentNode;
 
 		if (e.target.className != "inlinedefinitions_draggable") return;

 		var y = parseInt(r.style.top);
 		var x = parseInt(r.style.left);
 
 		InlineDefinitionsDrag.lastMouseX	= e.clientX;
 		InlineDefinitionsDrag.lastMouseY	= e.clientY;
 
 		o.ownerDocument.addEventListener('mousemove', InlineDefinitionsDrag.drag, true);
 		o.ownerDocument.addEventListener('mouseup', InlineDefinitionsDrag.end, true);
 
 		e.preventDefault();
 	},
 
	drag : function(e)
	{ 
		var o = InlineDefinitionsDrag.obj;
		var r = o; //.parentNode;

		var ey	= e.clientY;
		var ex	= e.clientX;
		var y = parseInt(r.style.top);
		var x = parseInt(r.style.left);
		var nx, ny;

		nx = x + (ex - InlineDefinitionsDrag.lastMouseX);
		ny = y + (ey - InlineDefinitionsDrag.lastMouseY);

		r.style.left = nx + "px";
		r.style.top = ny + "px";

		InlineDefinitionsDrag.lastMouseX	= ex;
		InlineDefinitionsDrag.lastMouseY	= ey;

		e.preventDefault();
	},

	end : function()
	{
		InlineDefinitionsDrag.obj.ownerDocument.removeEventListener('mousemove', InlineDefinitionsDrag.drag, true);
		InlineDefinitionsDrag.obj.ownerDocument.removeEventListener('mouseup', InlineDefinitionsDrag.end, true);
		InlineDefinitionsDrag.obj = null;
	}
};
